fixed some typos, fixes and enlargement for required dependencies

This commit is contained in:
filux 2016-08-09 21:20:57 +02:00
parent c56be68f34
commit 3639e111ef
7 changed files with 116 additions and 89 deletions

View File

@ -11,42 +11,71 @@ SCRIPTDIR="$(dirname "$(readlink -f "$0")")"
detect_system
# ----------------------------------------------------------------------------
Compiler_name="$1"; Compiler_version="$2"
Compiler_version_grep="$(echo "$Compiler_version" | sed 's/\./\\./g')"
set -x
if [ "$Compiler_version" != "" ] && [ "$Compiler_version" != "default" ]; then
if [ "$Compiler_name" = "gcc" ] || ( [ "$Compiler_name" = "clang" ] && [ "$codename" = "precise" ] ); then
# https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/test
sudo add-apt-repository --yes "deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu ${codename} main"
#sudo add-apt-repository --yes "deb-src http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu ${codename} main"
fi
if [ "$Compiler_name" = "clang" ]; then
# http://apt.llvm.org/
sudo add-apt-repository --yes "deb http://apt.llvm.org/${codename}/ llvm-toolchain-${codename} main"
#sudo add-apt-repository --yes "deb-src http://apt.llvm.org/${codename}/ llvm-toolchain-${codename} main"
sudo add-apt-repository --yes "deb http://apt.llvm.org/${codename}/ llvm-toolchain-${codename}-${Compiler_version} main"
#sudo add-apt-repository --yes "deb-src http://apt.llvm.org/${codename}/ llvm-toolchain-${codename}-${Compiler_version} main"
# UPDATE REPOS
sudo apt-get update -qq
sudo apt-get install -y -qq
wget -O - http://apt.llvm.org/llvm-snapshot.gpg.key|sudo apt-key add -
set +x
if [ "$Compiler_name" = "gcc" ]; then
VersionAvByDefault="$(apt-cache search ^g[c+][c+]-[0-9] | grep -v '[0-9]-[a-zA-Z]' | grep "^gcc-$Compiler_version_grep")"
elif [ "$Compiler_name" = "clang" ]; then
VersionAvByDefault="$(apt-cache search ^clang-[0-9] | grep -v '[0-9]-[a-zA-Z]' | grep "^clang-$Compiler_version_grep")"
fi
set -x
if [ "$VersionAvByDefault" = "" ]; then
if [ "$distribution" = "Ubuntu" ]; then
if [ "$Compiler_name" = "gcc" ] || ( [ "$Compiler_name" = "clang" ] && [ "$codename" = "precise" ] ); then
# https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/test
sudo add-apt-repository --yes "deb http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu ${codename} main"
#sudo add-apt-repository --yes "deb-src http://ppa.launchpad.net/ubuntu-toolchain-r/test/ubuntu ${codename} main"
fi
fi
if [ "$distribution" = "Ubuntu" ] || [ "$distribution" = "Debian" ]; then
if [ "$Compiler_name" = "clang" ]; then
# http://apt.llvm.org/
sudo add-apt-repository --yes "deb http://apt.llvm.org/${codename}/ llvm-toolchain-${codename} main"
#sudo add-apt-repository --yes "deb-src http://apt.llvm.org/${codename}/ llvm-toolchain-${codename} main"
sudo add-apt-repository --yes "deb http://apt.llvm.org/${codename}/ llvm-toolchain-${codename}-${Compiler_version} main"
#sudo add-apt-repository --yes "deb-src http://apt.llvm.org/${codename}/ llvm-toolchain-${codename}-${Compiler_version} main"
wget -O - http://apt.llvm.org/llvm-snapshot.gpg.key|sudo apt-key add -
fi
fi
fi
fi
set -e
# UPDATE REPOS
sudo apt-get update -qq
#sudo apt-get upgrade -qq # UPGRADE SYSTEM TO LATEST PATCH LEVEL
sudo apt-get install -y -qq
if [ "$VersionAvByDefault" = "" ]; then
# UPDATE REPOS
sudo apt-get update -qq
#sudo apt-get upgrade -qq # UPGRADE SYSTEM TO LATEST PATCH LEVEL
sudo apt-get install -y -qq
fi
if [ "$Compiler_version" != "" ] && [ "$Compiler_version" != "default" ]; then
if [ "$Compiler_name" = "gcc" ]; then
sudo apt-get --allow-unauthenticated install -qq --force-yes gcc-${Compiler_version} g++-${Compiler_version}
set +ex
Gcc_AvSepGpp="$(apt-cache search ^g[c+][c+]-[0-9] | grep -v '[0-9]-[a-zA-Z]' | grep "^g++-$Compiler_version_grep")"
set -ex
if [ "$Gcc_AvSepGpp" = "" ]; then
sudo apt-get --allow-unauthenticated install -qq --force-yes gcc-${Compiler_version}
else
sudo apt-get --allow-unauthenticated install -qq --force-yes gcc-${Compiler_version} g++-${Compiler_version}
fi
elif [ "$Compiler_name" = "clang" ]; then
sudo apt-get --allow-unauthenticated install -qq --force-yes clang-${Compiler_version}
fi
fi
# what available versions we can use
set +x
apt-cache search ^g[c+][c+]-[0-9] | grep -v '[0-9]-[a-zA-Z]'
apt-cache search ^clang-[0-9] | grep -v '[0-9]-[a-zA-Z]'
set -x
# INSTALL OUR DEPENDENCIES
sudo $SCRIPTDIR/mk/linux/setupBuildDeps.sh --quiet

View File

@ -8,11 +8,13 @@ matrix:
- os: linux
compiler: gcc
env: Tr_Compiler_Version="6"
dist: trusty # broken compiler on 12.04
# https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/test
dist: trusty # broken compiler on 12.04
- os: linux
compiler: gcc
env: Tr_Compiler_Version="5"
# https://launchpad.net/~ubuntu-toolchain-r/+archive/ubuntu/test
dist: trusty
- os: linux
compiler: gcc
env: Tr_Compiler_Version="default"
@ -20,19 +22,24 @@ matrix:
compiler: clang
env: Tr_Compiler_Version="3.8"
# http://apt.llvm.org/
#- os: linux
#compiler: clang
#env: Tr_Compiler_Version="default" # broken compiler on 12.04
dist: trusty
- os: linux
compiler: clang
env: Tr_Compiler_Version="default"
dist: trusty # broken compiler on 12.04
#- os: osx
#osx_image: xcode8
#env: Tr_Xcode_Version="8" # odd linking problems related with brew which is not creating links
# e.g. solution (quite bad) "brew link gettext", or showing in cmake direct paths (also not so good)
# osx_image: xcode8
# env: Tr_Xcode_Version="8"
# https://docs.travis-ci.com/user/osx-ci-environment/#OS-X-Version
# odd linking problems related with brew which is not creating links, e.g. solution
# (quite bad) "brew link gettext", or showing in cmake direct paths (also not so good)
- os: osx
env: Tr_Xcode_Version="default"
fast_finish: true
allow_failures:
#- os: osx
- os: linux
compiler: clang
env: Tr_Compiler_Version="default"
git:
submodules: false

View File

@ -94,7 +94,7 @@ done
# Compiler selection
# Unless both the CC and CXX environment variables point to clang and clang++
# respectively, we use GCC. To enforce clang compilation:
# respectively, we use GCC. To enforce clang compilation:
# 1. Install clang (sudo apt-get install clang)
# 2. Set the two vars below:
# WANT_CLANG=YES and CLANG_BIN_PATH=<path_to_the_clang_binary>
@ -113,9 +113,9 @@ cd ${SCRIPTDIR}
BREAKPAD_ROOT="$SCRIPTDIR/../../google-breakpad/"
# CMake options
# The default configuration works fine for regular developers and is also used
# The default configuration works fine for regular developers and is also used
# by our installers.
# For more cmake/build options refer to
# For more cmake/build options refer to
# http://wiki.megaglest.org/Linux_Compiling#Building_using_CMake_by_Hand
EXTRA_CMAKE_OPTIONS=
@ -135,13 +135,13 @@ echo "CPU cores to be used: $NUMCORES"
# ----------------------------------------------------------------------------
if [ $MAKE_ONLY = 0 ]; then
if [ $MAKE_ONLY = 0 ]; then
mkdir -p build
fi
cd build
if [ $MAKE_ONLY = 0 ]; then
if [ $MAKE_ONLY = 0 ]; then
if [ -f 'CMakeCache.txt' ]; then rm -f 'CMakeCache.txt'; fi
fi
@ -160,6 +160,10 @@ if [ "$WANT_STATIC_LIBS" = "-DWANT_STATIC_LIBS=ON" ]; then
EXTRA_CMAKE_OPTIONS="${EXTRA_CMAKE_OPTIONS} -DSTATIC_FontConfig=OFF"
fi
if [ "$distribution" != "Mageia" ]; then
EXTRA_CMAKE_OPTIONS="${EXTRA_CMAKE_OPTIONS} -DWANT_USE_OpenSSL=OFF"
fi
case $distribution in
Debian)
case $release in
@ -218,17 +222,7 @@ case $distribution in
esac
;;
SuSE|SUSE?LINUX|Opensuse)
case $release in
*)
if [ "$WANT_STATIC_LIBS" = "-DWANT_STATIC_LIBS=ON" ]; then
echo 'Turning ON dynamic CURL ...'
EXTRA_CMAKE_OPTIONS="${EXTRA_CMAKE_OPTIONS} -DSTATIC_CURL=OFF"
fi;;
esac
;;
Fedora)
SuSE|SUSE?LINUX|Opensuse|Fedora|Mageia)
case $release in
*)
if [ "$WANT_STATIC_LIBS" = "-DWANT_STATIC_LIBS=ON" ]; then
@ -246,9 +240,9 @@ case $distribution in
;;
esac
# If, in the configuration section on top of this script, the user has
# If, in the configuration section on top of this script, the user has
# indicated they want to use clang in favor of the default of GCC, use clang.
if [ $CLANG_FORCED = 1 ]; then
if [ $CLANG_FORCED = 1 ]; then
EXTRA_CMAKE_OPTIONS="${EXTRA_CMAKE_OPTIONS} -DCMAKE_C_COMPILER=${CLANG_BIN_PATH} -DCMAKE_CXX_COMPILER=${CLANGPP_BIN_PATH}"
echo "USER WANTS to use CLANG / LLVM compiler! EXTRA_CMAKE_OPTIONS = ${EXTRA_CMAKE_OPTIONS}"
#exit 1;
@ -312,6 +306,6 @@ else
echo ''
echo 'To launch MegaGlest from the current directory, use:'
echo ' ./megaglest'
echo 'Or change into mk/linux and run it from there:'
echo ' ./megaglest --ini-path=./ --data-path=./'
#echo 'Or change into mk/linux and run it from there:'
#echo ' ./megaglest --ini-path=./ --data-path=./'
fi

View File

@ -5,28 +5,24 @@
# Originally written by Mark Vejvoda <mark_vejvoda@hotmail.com>
# Rewritten by Tom Reynolds <tomreyn@megaglest.org>
# Copyright (c) 2012-2016 Mark Vejvoda, Tom Reynolds under GNU GPL v3.0
LANG=C
SCRIPTDIR="$(dirname $(readlink -f $0))"
gitcommit=`git log -1 --pretty=tformat:"%H" $SCRIPTDIR/../..`
SCRIPTDIR="$(dirname "$(readlink -f "$0")")"
# Load shared functions
. $SCRIPTDIR/mg_shared.sh
# Got root?
if [ `id -u`'x' != '0x' ]
then
then
echo 'This script must be run as root (UID 0).' >&2
exit 1
fi
# Do you have the 'git' command?
if [ `which git`'x' = 'x' ]
then
echo 'Could not find "git", please make sure it is installed.' >&2
exit 1
if [ "$(which git 2>/dev/null)" != "" ]; then
gitcommit="$(git log -1 --pretty=tformat:"%H" $SCRIPTDIR/../..)"
else
gitcommit="- 'git' tool not available -"
fi
# Allow for quiet/silent installs
@ -86,6 +82,8 @@ error_during_installation () {
if [ "$quiet" -eq "1" ]; then
APT_OPTIONS="$APT_OPTIONS -y -q"
URPMI_OPTIONS="$URPMI_OPTIONS -q --auto"
PACMAN_OPTIONS="$PACMAN_OPTIONS -q --noconfirm"
DNF_OPTIONS="$DNF_OPTIONS -y -q"
fi
packages_for_next_debian_ubuntu_mint="build-essential cmake libcurl4-gnutls-dev libsdl2-dev libopenal-dev liblua5.3-dev libjpeg-dev libpng-dev libfreetype6-dev libwxgtk3.0-dev libcppunit-dev libfribidi-dev libftgl-dev libglew-dev libogg-dev libvorbis-dev libminiupnpc-dev libircclient-dev libvlc-dev libvlccore-dev libxml2-dev libx11-dev libgl1-mesa-dev libglu1-mesa-dev librtmp-dev libkrb5-dev libldap2-dev libidn11-dev libgnutls28-dev libnghttp2-dev libssh2-1-dev"
@ -185,8 +183,13 @@ case $distribution in
$installcommand
if [ "$?" -ne "0" ]; then error_during_installation; exit 1; fi
;;
42.1)
installcommand="zypper install gcc gcc-c++ cmake libSDL2-devel Mesa-libGL-devel freeglut-devel libvorbis-devel wxWidgets-devel lua-devel libjpeg8-devel libpng16-devel libcurl-devel openal-soft-devel libX11-devel libxml2-devel libircclient-devel glew-devel ftgl-devel fribidi-devel cppunit-devel libminiupnpc-devel vlc-devel"
$installcommand
if [ "$?" -ne "0" ]; then error_during_installation; exit 1; fi
;;
*)
installcommand="zypper install gcc gcc-c++ cmake libSDL2-devel Mesa-libGL-devel freeglut-devel libvorbis-devel wxGTK-devel lua-devel libjpeg-devel libpng14-devel libcurl-devel openal-soft-devel xorg-x11-libX11-devel libxml2-devel libircclient-devel glew-devel ftgl-devel fribidi-devel cppunit-devel"
installcommand="zypper install gcc gcc-c++ cmake libSDL2-devel Mesa-libGL-devel freeglut-devel libvorbis-devel wxWidgets-devel lua-devel libjpeg8-devel libpng16-devel libcurl-devel openal-soft-devel libX11-devel libxml2-devel libircclient-devel glew-devel ftgl-devel fribidi-devel cppunit-devel libminiupnpc-devel vlc-devel"
unsupported_release
exit 1
;;
@ -195,17 +198,8 @@ case $distribution in
Fedora)
case $release in
#18)
# installcommand='yum groupinstall development-tools'
# $installcommand
# if [ "$?" -ne "0" ]; then error_during_installation; exit 1; fi
# installcommand='yum install cmake SDL2-devel mesa-libGL-devel mesa-libGLU-devel libvorbis-devel wxBase wxGTK-devel lua-devel libjpeg-devel libpng-devel libcurl-devel openal-soft-devel libX11-devel libxml2-devel libircclient-devel glew-devel ftgl-devel fribidi-devel cppunit-devel'
# $installcommand
# if [ "$?" -ne "0" ]; then error_during_installation; exit 1; fi
# ;;
*)
installcommand='yum groupinstall "Development Tools"; yum install cmake SDL2-devel mesa-libGL-devel mesa-libGLU-devel libvorbis-devel wxBase wxGTK-devel lua-devel libjpeg-devel libpng-devel libcurl-devel openal-soft-devel libX11-devel libxml2-devel libircclient-devel glew-devel ftgl-devel fribidi-devel cppunit-devel'
installcommand="dnf $DNF_OPTIONS install gcc gcc-c++ redhat-rpm-config cmake SDL2-devel mesa-libGL-devel mesa-libGLU-devel libvorbis-devel wxBase wxGTK-devel lua-devel libjpeg-devel libpng-devel libcurl-devel openal-soft-devel libX11-devel libxml2-devel libircclient-devel glew-devel ftgl-devel fribidi-devel cppunit-devel miniupnpc-devel"
unsupported_release
exit 1
;;
@ -214,27 +208,23 @@ case $distribution in
Mageia)
if [ "$architecture" = "x86_64" ]; then lib="lib64"; else lib="lib"; fi
static="-static" #static=""
case $release in
#4)
# installcommand="urpmi $URPMI_OPTIONS gcc gcc-c++ cmake make ${lib}curl-devel ${lib}SDL2-devel ${lib}openal-devel ${lib}lua-devel ${lib}jpeg-devel ${lib}png-devel ${lib}freetype6-devel ${lib}wxgtku2.9-devel ${lib}cppunit-devel ${lib}fribidi-devel ${lib}ftgl-devel ${lib}glew-devel ${lib}ogg-devel ${lib}vorbis-devel ${lib}miniupnpc-devel ${lib}ircclient-static-devel ${lib}vlc-devel ${lib}xml2-devel ${lib}x11-devel ${lib}mesagl1-devel ${lib}mesaglu1-devel"
# $installcommand
# if [ "$?" -ne "0" ]; then error_during_installation; exit 1; fi
# ;;
*)
installcommand="urpmi $URPMI_OPTIONS gcc gcc-c++ cmake make ${lib}curl-devel ${lib}SDL2-devel ${lib}openal-devel ${lib}lua-devel ${lib}jpeg-devel ${lib}png-devel ${lib}freetype6-devel ${lib}wxgtku2.9-devel ${lib}cppunit-devel ${lib}fribidi-devel ${lib}ftgl-devel ${lib}glew-devel ${lib}ogg-devel ${lib}vorbis-devel ${lib}miniupnpc-devel ${lib}ircclient-static-devel ${lib}vlc-devel ${lib}xml2-devel ${lib}x11-devel ${lib}mesagl1-devel ${lib}mesaglu1-devel"
# ^ probably should be added ssl/openssl-devel to the list
installcommand="urpmi $URPMI_OPTIONS gcc gcc-c++ cmake make ${lib}curl-devel ${lib}sdl2.0-devel ${lib}openal-devel ${lib}lua${static}-devel ${lib}jpeg${static}-devel ${lib}png-devel ${lib}freetype6${static}-devel ${lib}wxgtku3.0-devel ${lib}cppunit-devel ${lib}fribidi${static}-devel ${lib}ftgl-devel ${lib}glew-devel ${lib}ogg${static}-devel ${lib}vorbis-devel ${lib}miniupnpc-devel ${lib}ircclient-static-devel ${lib}vlc-devel ${lib}xml2-devel ${lib}x11-devel ${lib}mesagl1-devel ${lib}mesaglu1-devel ${lib}openssl${static}-devel"
unsupported_release
exit 1
;;
esac
;;
archlinux)
ManjaroLinux)
if [ "$architecture" = "x86_64" ]; then lib=""; else lib="lib32-"; fi
case $release in
rolling)
*)
installcommand="pacman $PACMAN_OPTIONS -S --needed gcc-multilib cmake ${lib}libcurl-gnutls ${lib}sdl2 ${lib}openal lua ${lib}libjpeg-turbo ${lib}libpng ${lib}freetype2 ${lib}wxgtk cppunit fribidi ftgl ${lib}glew ${lib}libogg ${lib}libvorbis miniupnpc libircclient vlc ${lib}libxml2 ${lib}libx11 ${lib}mesa ${lib}glu"
unsupported_release
exit 1
;;
esac
;;

View File

@ -2,7 +2,7 @@
# Use this script to improve configuration of '.desktop' files.
# ----------------------------------------------------------------------------
# 2014 Written by filux <heross(@@)o2.pl>
# Copyright (c) 2014-2015 under GNU GPL v3.0+
# Copyright (c) 2014-2016 under GNU GPL v3.0+
LANG=C
CURRENTDIR="$(dirname "$(readlink -f "$0")")"
@ -11,23 +11,23 @@ if [ -f "megaglest.desktop" ] && [ -f "megaglest.png" ] && [ -f "megaglest" ] \
&& [ -f "start_megaglest" ] && [ ! -f "glest-dev.ini" ]; then
desktop_location="$CURRENTDIR/megaglest.desktop"; icon_location="$CURRENTDIR/megaglest.png"
exec_location="$CURRENTDIR/start_megaglest"
sed -i -e "s#$prmtr.*#$prmtr$icon_location#" -e "s#$prmtr2.*#$prmtr2$exec_location#" \
sed -i -e "s#$prmtr.*#$prmtr$icon_location#" -e "s#$prmtr2.*#$prmtr2\"$exec_location\"#" \
"$desktop_location"
chmod +x $desktop_location
chmod +x "$desktop_location"
fi
if [ -f "megaglest_editor.desktop" ] && [ -f "megaglest.png" ] && [ -f "megaglest_editor" ] \
&& [ -f "start_megaglest_mapeditor" ] && [ ! -f "glest-dev.ini" ]; then
desktop_location="$CURRENTDIR/megaglest_editor.desktop"
icon_location="$CURRENTDIR/megaglest.png"; exec_location="$CURRENTDIR/start_megaglest_mapeditor"
sed -i -e "s#$prmtr.*#$prmtr$icon_location#" -e "s#$prmtr2.*#$prmtr2$exec_location#" \
sed -i -e "s#$prmtr.*#$prmtr$icon_location#" -e "s#$prmtr2.*#$prmtr2\"$exec_location\"#" \
"$desktop_location"
chmod +x $desktop_location
chmod +x "$desktop_location"
fi
if [ -f "megaglest_g3dviewer.desktop" ] && [ -f "megaglest.png" ] && [ -f "megaglest_g3dviewer" ] \
&& [ -f "start_megaglest_g3dviewer" ] && [ ! -f "glest-dev.ini" ]; then
desktop_location="$CURRENTDIR/megaglest_g3dviewer.desktop"
icon_location="$CURRENTDIR/megaglest.png"; exec_location="$CURRENTDIR/start_megaglest_g3dviewer"
sed -i -e "s#$prmtr.*#$prmtr$icon_location#" -e "s#$prmtr2.*#$prmtr2$exec_location#" \
sed -i -e "s#$prmtr.*#$prmtr$icon_location#" -e "s#$prmtr2.*#$prmtr2\"$exec_location\"#" \
"$desktop_location"
chmod +x $desktop_location
chmod +x "$desktop_location"
fi

View File

@ -686,7 +686,7 @@ void stackdumper(unsigned int type, EXCEPTION_POINTERS *ep, bool fatalExit) {
}
catch(const exception &e) {
printf("\n=====================================\n");
printf("\n** Already in error handler exiting errror rendering, msg [%s]\n",e.what());
printf("\n** Already in error handler exiting error rendering, msg [%s]\n",e.what());
fflush(stdout);
break;
}
@ -706,7 +706,7 @@ void stackdumper(unsigned int type, EXCEPTION_POINTERS *ep, bool fatalExit) {
}
catch(const exception &e) {
printf("\n=====================================\n");
printf("\n** Already in error handler exiting errror rendering, msg [%s]\n",e.what());
printf("\n** Already in error handler exiting error rendering, msg [%s]\n",e.what());
fflush(stdout);
break;
}

View File

@ -250,7 +250,8 @@ MenuStateCustomGame::MenuStateCustomGame(Program *program, MainMenu *mainMenu,
labelLocalGameVersion.setText(glestVersionString);
}
else {
labelLocalGameVersion.setText(glestVersionString + " [" + getCompileDateTime() + ", " + getGITRevisionString() + "]");
//labelLocalGameVersion.setText(glestVersionString + " [" + getCompileDateTime() + ", " + getGITRevisionString() + "]");
labelLocalGameVersion.setText(glestVersionString + " [" + getGITRevisionString() + "]");
}
xoffset=65;
@ -744,7 +745,12 @@ string MenuStateCustomGame::createGameName(string controllingPlayer){
return "Headless (" + defaultPlayerName + ")";
}
} else {
return defaultPlayerName+"'s game";
string defaultPlayerNameEnd = defaultPlayerName.substr(defaultPlayerName.size()-1, 1);
if(defaultPlayerNameEnd == "s") {
return defaultPlayerName+"' game";
} else {
return defaultPlayerName+"'s game";
}
}
}
@ -760,7 +766,8 @@ void MenuStateCustomGame::reloadUI() {
labelLocalGameVersion.setText(glestVersionString);
}
else {
labelLocalGameVersion.setText(glestVersionString + " [" + getCompileDateTime() + ", " + getGITRevisionString() + "]");
//labelLocalGameVersion.setText(glestVersionString + " [" + getCompileDateTime() + ", " + getGITRevisionString() + "]");
labelLocalGameVersion.setText(glestVersionString + " [" + getGITRevisionString() + "]");
}
//vector<string> teamItems, controlItems, results , rMultiplier;